// FILENAME:	GOAD_Supremecy.cs
//
// Based On:      DM_Impact.cs by Chupie Doll & Youth in Asia
//
// AUTHORS:  	Temujin
//------------------------------------------------------------------------------

$missionName = "GOAD_Supremecy";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	
	
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;
}

function onMissionStart()
{
	// Keep tracks of hercs near a door
	$HercsAtDoor1 = 0;
	$HercsAtDoor2 = 0;   
   
	// Start the meteor showers
	dropMeteor("default", -40, -1,-100, -4000, 100, -4100, -854, -620, 844, 1935);
	
	// Schedule a meteor storm
	%randomTime = randomInt(60, 180);
	schedule("randomDeathStorm();", %randomTime);

	$healRate = 100;   
	$ammoRate = 3;
   	$padWaitTime = 45;
  	$zenWaitTime = 90;
	
	europaSounds();
}

function onMissionLoad(){
   cdAudioCycle("Gnash", "Cloudburst", "Cyberntx"); 
}

// Healing Pad Functionality
//------------------------------------------------------------------------------
function ZenHeal::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_HEALPAD, true, true);  
}
function ZenHeal::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, 0, $padWaitTime, true); 
}

// Ammo Pad Functionality
//------------------------------------------------------------------------------
function ZenAmmo::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_AMMOPAD, true, true);  
}

function ZenAmmo::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, 0, $ammoRate, $padWaitTime, true); 
}

function randomDeathStorm(){
	%nextStorm = randomInt(120, 400);

	Say(0, 0, "WARNING:  Meteor shower detected!");
	dropMeteor("default", 1, 3, -100, -4000, 100, -4100, -854, -620, 844, 1935);
    
    %dropMeteors = "dropMeteor(\"default\", 1, 3, -100, -4000, 100, -4100, -854, -620, 844, 1935);";

	schedule(%dropMeteors, 4);
	schedule(%dropMeteors, 8);
	schedule(%dropMeteors, 12);
	schedule(%dropMeteors, 16);
	schedule(%dropMeteors, 20);
	schedule(%dropMeteors, 24);
	schedule(%dropMeteors, 28);
	schedule(%dropMeteors, 32);
	schedule(%dropMeteors, 36);
	schedule(%dropMeteors, 40);
	schedule(%dropMeteors, 44);

	schedule("randomDeathStorm();", %nextStorm);
}

function door1::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door1"), 0, true);
	}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}
function door1::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door1"), 0, false);
	}
}
function door2::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door2"), 0, true);
	}
	$hercsAtDoor2 = $hercsAtDoor2 + 1;
}
function door2::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor2 = $hercsAtDoor2 - 1;
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door2"), 0, false);
	}
}

function vehicle::OnAdd(%vehicle)
{
%vehicle.vehicleName = getVehicleName(%vehicle);

if(%vehicle.vehicleName == "Goad" || %vehicle.vehicleName == "Metagen Goad") {
   if( getTeam( %vehicle ) != *IDSTR_TEAM_BLUE ) messagebox( %vehicle, "Due to your vehicle choice, you have been assigned to BLUE team." );
   setTeam(%vehicle, *IDSTR_TEAM_BLUE);
   }
else {
   if( getTeam( %vehicle ) != *IDSTR_TEAM_RED ) messagebox( %vehicle, "Due to your vehicle choice, you have been assigned to RED team." );
   setTeam(%vehicle, *IDSTR_TEAM_RED);
   }
redrop(%vehicle);
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to ']['emuJin's GOAD_Supremecy!  " @
       "This map designed by [RA] ']['emuJin, " @
       "send comments to mchindley@yahoo.com.  Get this and other maps at http:" @
       "www6.50megs.com/temujin.  You will also find skins and a training manual at this site.\n\n" @
       "This map is GOAD versus EVERYONE.  Read rules for more information.");
}

function setRules()
{
      %rules = "<F2>GAME TYPE: \n<F0>Goad vs. Everyone\n\n"   @        
               "<tIDMULT_TDM_MAPNAME>"    @ 
               $missionName              @
               "\n\n<F2>RULES/OBJECTIVES:\n" @
               "<F0>1) All Goads and Metagen Goads are assigned to Blue team.\n\n" @
               "2) All other vehicle types are assigned to Red team.\n\n" @
               "3) Switching vehicles is the ONLY way to change your team color.\n\n"@
               "<tIDMULT_TDM_SCORING_1>"  @
               "<tIDMULT_TDM_SCORING_2>"  @
               $killPoints                @
               "<tIDMULT_TDM_SCORING_3>"  @
               "<tIDMULT_TDM_SCORING_4>"  @
               $deathPoints               @
               "<tIDMULT_TDM_SCORING_5>"  @
               "<tIDMULT_TDM_SCORING_6>"  @
               "<tIDMULT_STD_ITEMS>"      @
               "<tIDMULT_STD_ZEN_1>"      @
               $ZenWaitTime               @
               "<F0> seconds. You have to power down on pads for 5 seconds to capture bases.\n\n" @
               "<F5>NOTE: While healing or reloading, your vehicle is vulnerable to "@
               "enemy fire. In Capture and Hold pad killing is absolutely necessary.\n " ;

   setGameInfo(%rules);      
}


// setup the rules
// this has to be called after the definition of setRules
setRules();




