// FILENAME:	GOAD_Supremecy.cs
//
// Based On:      DM_Sacrifice_to_Bast.cs by Chupie Doll & Youth in Asia
//
// AUTHORS:  	Temujin
//------------------------------------------------------------------------------

$missionName = "GOAD_desert";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	
	
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;
}

function onMissionStart()
{
	desertSounds();
}

function onMissionLoad(){
   cdAudioCycle("SS1", "Newtech", "Yougot"); 
}

function vehicle::OnAdd(%vehicle)
{
%vehicle.vehicleName = getVehicleName(%vehicle);

if(%vehicle.vehicleName == "Goad" || %vehicle.vehicleName == "Metagen Goad") {
   if( getTeam( %vehicle ) != *IDSTR_TEAM_BLUE ) messagebox( %vehicle, "Due to your vehicle choice, you have been assigned to BLUE team." );
   setTeam(%vehicle, *IDSTR_TEAM_BLUE);
   }
else {
   if( getTeam( %vehicle ) != *IDSTR_TEAM_RED ) messagebox( %vehicle, "Due to your vehicle choice, you have been assigned to RED team." );
   setTeam(%vehicle, *IDSTR_TEAM_RED);
   }
redrop(%vehicle);
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to ']['emuJin's GOAD_Supremecy!  " @
       "This map designed by [RA] ']['emuJin, " @
       "send comments to mchindley@yahoo.com.  Get this and other maps at http:" @
       "www6.50megs.com/temujin.  You will also find skins and a training manual at this site.\n\n" @
       "This map is GOAD versus EVERYONE.  Read rules for more information.");
}

function setRules()
{
      %rules = "<F2>GAME TYPE: \n<F0>Goad vs. Everyone\n\n"   @        
               "<tIDMULT_TDM_MAPNAME>"    @ 
               $missionName             @
               "\n\n<F2>RULES/OBJECTIVES:\n" @
               "<F0>1) All Goads and Metagen Goads are assigned to Blue team.\n\n" @
               "2) All other vehicle types are assigned to Red team.\n\n" @
               "3) Switching vehicles is the ONLY way to change your team color.\n\n"@
               "<tIDMULT_TDM_SCORING_1>"  @
               "<tIDMULT_TDM_SCORING_2>"  @
               $killPoints                @
               "<tIDMULT_TDM_SCORING_3>"  @
               "<tIDMULT_TDM_SCORING_4>"  @
               $deathPoints               @
               "<tIDMULT_TDM_SCORING_5>"  @
               "<tIDMULT_TDM_SCORING_6>"  @
               "<tIDMULT_STD_ITEMS>"      @
               "<tIDMULT_STD_ZEN_1>"      @
               $ZenWaitTime               @
               "<F0> seconds. You have to power down on pads for 5 seconds to capture bases.\n\n" @
               "<F5>NOTE: While healing or reloading, your vehicle is vulnerable to "@
               "enemy fire. In Capture and Hold pad killing is absolutely necessary.\n " ;

   setGameInfo(%rules);      
}


// setup the rules
// this has to be called after the definition of setRules
setRules();









